Subject: RE: bug#17524: 24.4.50; emacs_backtrace.txt

From: Drew Adams <[email-masked]>
Date: Sun, 18 May 2014 16:42:16 -0700 (PDT)

> FWIW, it doesn't crash on Debian using emacs-24 (and the font is applied
> correctly).

Yes, it's probably related to the fact that I do not have that font.

With the reported 24.4 build, if I try to change the font in a 
different way, like this:

(set-face-attribute
  'default t :font
  "-bitstream-Courier 10 Pitch-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1")

then I get an error saying the font is not available.  I get
the crash only with the recipe I gave, which uses
`default-frame-alist'.

(And with Emacs 24.3 I get that not-available error using either
method of changing the font.)